skb_checksum_complete
Prev | Socket Buffer Functions | Next

## Name

skb_checksum_complete — Calculate checksum of an entire packet

## Synopsis

`__sum16 skb_checksum_complete (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  packet to process

## Description

This function calculates the checksum over the entire packet plus the value of skb->csum. The latter can be used to supply the checksum of a pseudo header as used by TCP/UDP. It returns the checksum.

For protocols that contain complete checksums such as ICMP/TCP/UDP, this function can be used to verify that checksum on received packets. In that case the function should return zero if the checksum is correct. In particular, this function will return zero if skb->ip_summed is CHECKSUM_UNNECESSARY which indicates that the hardware has already verified the correctness of the checksum.

Prev | Up | Next
skb_get_timestamp | Home | struct sock_common